### Method

# Gimp Drawable update

#### Declaration [src]

    gboolean
    gimp_drawable_update (
      GimpDrawable* drawable,
      gint x,
      gint y,
      gint width,
      gint height
    )

#### Description [src]

Update the specified region of the drawable.

This procedure updates the specified region of the drawable. The (x, y) coordinate pair is relative to the drawable’s origin, not to the image origin. Therefore, the entire drawable can be updated using (0, 0, width, height).

#### Parameters

`x`

  Type: `gint`

  X coordinate of upper left corner of update region.

`y`

  Type: `gint`

  Y coordinate of upper left corner of update region.

`width`

  Type: `gint`

  Width of update region.

`height`

  Type: `gint`

  Height of update region.

#### Return value

Type: `gboolean`

TRUE on success.